#!/usr/bin/python
import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BCM)

seg={'a':11, 'b':7, 'c':15, 'd':17, 'e':22, 'f':8, 'g':10}
for s in "abcdefg":
  GPIO.setup(seg[s], GPIO.OUT, initial=1)

zif=[25, 24, 23, 14]
for z in zif:
  GPIO.setup(z, GPIO.OUT, initial=0)

zahl=[
  "abcdef",  #0
  "bc",      #1
  "abdeg",   #2
  "abcdg",   #3
  "bcfg",    #4
  "acdfg",   #5
  "acdefg",  #6
  "abc",     #7
  "abcdefg", #8
  "abcdfg",  #9
    ]

print ("Strg+C beendet das Programm")

try:
  while True:
    for i in range(4):
      for s in "abcdefg":
        GPIO.output(seg[s], 1)
      GPIO.output(zif[i], 1)
      for s in zahl[i+1]:
        GPIO.output(seg[s], 0)
      time.sleep(0.001)
      GPIO.output(zif[i], 0)

except KeyboardInterrupt:
  GPIO.cleanup()
