# -*- coding: utf-8 -*-
#!/usr/bin/python
# -----------------------------------------------------------------------
# Robotik mit dem Raspberry Pi
# E.F.Engelhardt, Franzis Verlag, 2014
# -----------------------------------------------------------------------
# Funktion pwm-led.py fuer die 
# Steuerung der LED am PWM-Ausgang / Dimmfunktion
# Pfad /pwm-servo
import RPi.GPIO as GPIO
import time
GPIO_PWM=12 # und kein anderer fuer PWM org ;)
GPIO.setmode(GPIO.BOARD)
GPIO.setup(GPIO_PWM, GPIO.OUT)
# initialisieren
pwm = GPIO.PWM(GPIO_PWM, 50)
# GPIO=12 Frequenz=50Hz
pwm.start(0)
try:
    while True:
        for dc in range(0, 101, 5):
            print "LED: Heller... Stufe: ", dc
            pwm.ChangeDutyCycle(dc)
            time.sleep(0.1)
        for dc in range(100, -1, -5):
            print "LED: Dunkler... Stufe:  ", dc
            pwm.ChangeDutyCycle(dc)
            time.sleep(0.1)
except KeyboardInterrupt:
    pass
# Aufrauemen
pwm.stop()
GPIO.cleanup()
# -----------------------------------------------------------------------

