#!/usr/bin/python
# -*- coding: utf-8 -*-
#------------------------------------------------------------
# Python-Steuerung fuer Hue-Lampen
# Datei : lampe_step1.py
#------------------------------------------------------------
import pyhue
import time
import sys
IP_HUE='192.168.123.87'
delaysec=20
b = pyhue.Bridge(IP_HUE,'IHRKEY')

def alle_birnen_an():
# alles an
	for light in b.lights:
		light.on = True
		light.hue = 0

def alle_birnen_aus():
# alles aus
	for light in b.lights:
	     	light.on = False

def main():
	alle_birnen_aus()
	print "Lampen wurden ausgeschaltet"
	print "Warte ", delaysec, " Sekunden..."
	time.sleep(delaysec)
	print "Lampen wurden eingeschaltet"
# alternative zum ein/ausschalten
	alle_birnen_an()
	switch_birnen('on')
	switch_birnen('off')

def switch_birnen(sw):
        id_hue_birne=0
        print "Es werden alle angeschlossenen Lampen eingeschaltet"
        for light in b.lights:
                id_hue_birne = id_hue_birne + 1
                if sw == 'on':
                        light.on = True
			light.hue = 0
			#b.set_light(anz_hue_birnen, 'on' , True)
                        print "Es wird Lampe <", id_hue_birne , "> eingeschaltet"
                elif sw == 'off':
                        #b.set_light(anz_hue_birnen, 'on', False)
			light.on = False
                        print "Es wird Lampe <", id_hue_birne, "> ausgeschaltet"
                elif sw == '':
			light.on = False
                        # b.set_light(anz_hue_birnen, 'on', False)
                        print "Es wird Lampe <", id_hue_birne, "> ausgeschaltet"
	anzahl_hue_birne = id_hue_birne

if __name__ == '__main__':
        main()
sys.exit(0)
# --------------------------- EOF --------------------------------------

