
#!/usr/bin/python
# -*- coding: utf-8 -*-
#------------------------------------------------------------
# Python-Steuerung fuer Hue-Lampen
# Datei : lampe_step2.py
#------------------------------------------------------------
import pyhue
import time
import sys
IP_HUE='192.168.123.87'
delaysec=20
b = pyhue.Bridge(IP_HUE,'IHRKEY')

def alle_birnen_an():
# alles an
	for light in b.lights:
		light.on = True
		light.hue = 0

def alle_birnen_aus():
# alles aus
	for light in b.lights:
	     	light.on = False

def main():
#	alle_birnen_aus()
#	print "Lampen wurden ausgeschaltet"
#	print "Warte ", delaysec, " Sekunden..."
#	time.sleep(delaysec)
#	print "Lampen wurden eingeschaltet"
# alternative zum ein/ausschalten
#	alle_birnen_an()
#	switch_birnen('on')
#	switch_birnen('off')
	birnen_info()

def switch_birnen(sw):
    anzahl_hue_birnen=0
	id_hue_birne=0
        
	print "Es werden alle angeschlossenen Lampen eingeschaltet"
        for light in b.lights:
                id_hue_birne = id_hue_birne + 1
                if sw == 'on':
                        light.on = True
			light.hue = 0
                        print "Es wird Lampe <", id_hue_birne , "> eingeschaltet"
                elif sw == 'off':
                        #b.set_light(anz_hue_birnen, 'on', False)
			light.on = False
                        print "Es wird Lampe <", id_hue_birne, "> ausgeschaltet"
                elif sw == '':
			light.on = False
                        print "Es wird Lampe <", id_hue_birne, "> ausgeschaltet"
	anzahl_hue_birnen = id_hue_birne

def birnen_info():
        anzahl_hue_birnen=0
        id_hue_birne=0
        print "Es werden alle angeschlossenen Lampen gezeigt"
        for light in b.lights:
		print '+' * 80
		print "+  LAMPE Nr. <" , light.id ,"> "
				print '+' * 80
		print "+ light.state", light.state
		print "+ light.type", light.type
		print "+ light.name", light.name
		print "+ light.modelid", light.modelid
		print "+ light.swversion", light.swversion
		print "+ light.pointsymbol", light.pointsymbol
		print "+ -"
		if hasattr(light,'ct'):
			print "+ id: ", light.id, " | Name :" , light.name, "| Eingeschaltet? : ", light.on, "| Helligkeit: ", light.bri, "| Saettigung", light.sat, "| xy: ", light.xy, "| Farbtemperatur: ", light.ct, "| Hue: ", light.hue, "| Colormode: ", light.colormode
		else:
			print "+ id: ", light.id, " | Name :" , light.name, "| Eingeschaltet? : ", light.on, "| Helligkeit: ", light.bri, "| Saettigung", light.sat, "| xy: ", light.xy, "| Farbtemperatur: Keine | Hue: ", light.hue,  "| Colormode: ", light.colormode
		print '+' * 80
		print "~"
if __name__ == '__main__':
        main()
sys.exit(0)
# --------------------------- EOF --------------------------------------

