#!/usr/bin/python
# -*- coding: utf-8 -*-
import requests
from requests.auth import HTTPBasicAuth
from pprint import pformat
import time
# -----------------------------------------------------
# client daten: https://apiflowerpower.parrot.com/api_access/signup
# First we set our credentials
username = 'YOUR_USERNAME'
password = 'YOUR_PASSWORD'

#from the developer portal
client_id = 'YOUR_CLIENT_ID'
client_secret = 'YOUR_SECRET'
# -----------------------------------------------------
Home_Plant='NAME_YOUR_PLANT'
# -----------------------------------------------------
# Debug
# 1- On, 0 = off
debug=1
# -----------------------------------------------------
tag=time.strftime('%d.%m.%Y',time.localtime())
stunde=time.strftime('%H:%M:%S',time.localtime())
# -----------------------------------------------------
Home_Plant=Home_Plant+':'
req = requests.get('https://apiflowerpower.parrot.com/user/v1/authenticate',
                   data={'grant_type': 'password',
                         'username': username,
                         'password': password,
                         'client_id': client_id,
                         'client_secret': client_secret,
                         })
response = req.json()
print "Encoding : ",  req.encoding
print tag
print stunde
# -----------------------------------------------------
if debug!=0:
    print ('----------------- Authentification ------------------')
    print('Server response: {0}'.format(pformat(response)))
# -----------------------------------------------------
# Get auth token from response
access_token = response['access_token']
auth_header = {'Authorization': 'Bearer {token}'.format(token=access_token)}
# -----------------------------------------------------
# sync data
req = requests.get('https://apiflowerpower.parrot.com/sensor_data/v3/sync', headers=auth_header)
response = req.json()
# -----------------------------------------------------
if debug!=0:
    print ('----------------- Sensor datas Sync ------------------')
    print ('Sync sensor data')
    print('Server response: {0}'.format(pformat(response)))
# -----------------------------------------------------
# Get locations status
req = requests.get('https://apiflowerpower.parrot.com/sensor_data/v3/' + 'garden_locations_status', headers=auth_header)
response = req.json()
if debug!=0:
    print ('----------------- Garden location Status ------------------')
    print (response)
status_locations = response['locations']
# -----------------------------------------------------
