#!/usr/bin/env python
# -*- coding: utf-8 -*-
# pretzelmail.py
import sys
# ----------------------------------------------------
import smtplib
from email.mime.text import MIMEText
from email.mime.image import MIMEImage
from email.mime.multipart import MIMEMultipart
# Accountinformationen zum Senden der E-Mail
SMTPRCPTTO = 'name.empfaenger1@franzis.de, name.empfaenger2@franzis.de' # Empfaenger
SMTPMAILFROM = 'name.pretzelsender@gmx.de' # Absender-Mailadresse / Kontoinformationen
SMTPPASS = 'passwort_pretzelsender' # Passwort beim Anbierter fuer Absender-MAiladresse


MSGDATA = '' # Leere Nachricht
MSGSUBJECT = '[Pretzelboard] Bewegungssensor hat Alarm geschlagen...' # Betreffzeile-Inhalt

# ----------------------------------------------------
def cmd_sendmail(dev):
    msg = MIMEMultipart()
    msg['Subject'] = MSGSUBJECT
    msg['From'] = SMTPMAILFROM
    msg['To'] = SMTPRCPTTO
    msg.preamble = 'Pretzelboard - Haustuere'
    text = "Sensor "  +dev
    msg.attach(MIMEText(text,'plain'))    
    s = smtplib.SMTP('mail.gmx.net', 587)
    s.ehlo()
    s.starttls()
    s.ehlo()
    s.login(SMTPMAILFROM,SMTPPASS)
    s.sendmail( msg['From'], msg['To'], msg.as_string())
    s.quit
    print '[Pretzelboard] | [MAIL]: Verschickt!'
# -------------------------------------------------------
# bool check_input(dev, status):
def check_input(dev, status):
    # print 'Übergeben wurde: ', dev, status
    if (len (dev) == 8):
        print 'DEV-ID ok'
        return True
    else:
        print 'DEV-ID nicht ok'
        return False
# -------------------------------------------------------
def main():
    if (len(sys.argv) < 3):
        # Wird ausgeführt wenn das Programm nicht korrekt aufgerufen wurde
        print """pretzelmail.py
        
        Überträgt für Sensor mit der ID <dev> den Statuswert <status> per E-Mail an Empfänger.
        
        Funktionsweise:
            python pretzelmail.py <devid> <status>
        Beispiel:
            python pretzelmail.py 12345678 1
            Überträgt für Sensor mit der ID 12345678 den Statuswert 1 per E-Mail.
        """
        sys.exit()
        
    # Programm ausführen
    dev = sys.argv[1]
    status = sys.argv[2]
    if check_input(dev, status):
        cmd_sendmail(dev)
# -------------------------------------------------------
if __name__ == '__main__':
    main()


