#!/usr/bin/python
from gpiozero import PiLiter, PiLiterBarGraph
import time

lite = PiLiter()

lite.blink(on_time=0.1, off_time=0.3, n=3, background=False)
time.sleep(1)
lite.close()

graph = PiLiterBarGraph()
for i in range(5):
    for j in range(10):
        graph.value = j*0.1
        time.sleep(0.01)
    for j in range(10,0,-1):
        graph.value = j*0.1
        time.sleep(0.01)
