# -*- coding: utf-8 -*-
#!/usr/bin/env python
# -----------------------------------------------------------------------
# Robotik mit dem Raspberry Pi
# E.F.Engelhardt, Franzis Verlag, 2014
# -----------------------------------------------------------------------
# Funktion pwm-servo.py fuer die 
# Steuerung des Servo am Servoblaster-Ausgang 2 / GPIO-18
# Pfad /pwm-servo
import time
import os
STEP = 10
DELAY = 0.5
MAXPIN = 8 
WAITTIME = 10
def pwm(pin, angle):
   print "Kommando: servo[" + str(pin) + "][" + str(angle) + "]"
   cmd = "echo " + str(pin) + "=" + str(angle) + " > /dev/servoblaster"
   os.system(cmd)
   time.sleep(DELAY)
# -----------------------------------------------------------------------
def start(pin):
  os.system("clear")
  print "Umdrehung 180 Grad nach rechts"
  pwm(pin, 60)
  print "und nach einer Wartezeit von ", WAITTIME, " Sekunden wieder zurueck"  
  time.sleep(WAITTIME)
  pwm(pin, 240)
#------------------------------------------------------------------------
# main
start(2) # 2 ist Servoblaster Pin
# -----------------------------------------------------------------------
