#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os
import socket, base64
import subprocess
import time
import hashlib
import datetime

import urllib2
import smtplib
from email.mime.text import MIMEText
from email.mime.image import MIMEImage
from email.mime.multipart import MIMEMultipart
# ----------------------------------------------------
# DOORBRID-Konfig
DOORBIRDHOST= 'http://192.168.123.62' 
lastPicPath= '/bha-api/history.cgi?index=1'
lastPicPathHost= DOORBIRDHOST+lastPicPath 
username= 'doorbird_user5'
password= 'doorbird_password_for_user5' 
token= base64.encodestring('%s:%s' % (username, password)).strip() 
headers = { 'User-Agent' : 'Mozilla/5.0 (Windows NT 5.1; rv:32.0) Gecko/20100101 Firefox/32.0' }
# ----------------------------------------------------
# Accountinformationen zum Senden der E-Mail
SMTPRCPTTO = 'name.empfaenger1@franzis.de, name.empfaenger2@franzis.de' # Empfaenger
SMTPMAILFROM = 'name.doorbirdsender@gmx.de' # Absender-Mailadresse / Kontoinformationen
SMTPPASS = 'passwort_doorbirdsender' # Passwort beim Anbierter fuer Absender-MAiladresse
MSGDATA = '' # Leere Nachricht
MSGSUBJECT = '[Doorbird] Es hat geklingelt...' # Betreffzeile-Inhalt
#
picFileName='doorbird_last_pic.jpg'
picFilePath='/home/pi/doorbird/'
PICFILE=picFilePath+picFileName
# ----------------------------------------------------
def cmd_exists(cmd):
    return subprocess.call("type " + cmd, shell=True, stdout=subprocess.PIPE, stderr=subprocess.PIPE) == 0
# ----------------------------------------------------
def cmd_sendmailPic():
    msg = MIMEMultipart()
    msg['Subject'] = MSGSUBJECT
    msg['From'] = SMTPMAILFROM
    msg['To'] = SMTPRCPTTO
    msg.preamble = 'Doorbird - Haustuere'
    f = open(PICFILE, 'rb')
    img = MIMEImage(f.read(),name=os.path.basename(picFileName))
    f.close()
    msg.attach(img)    
    s = smtplib.SMTP('mail.gmx.net', 587)
    s.ehlo()
    s.starttls()
    s.ehlo()
    s.login(SMTPMAILFROM,SMTPPASS)
    s.sendmail( msg['From'], msg['To'], msg.as_string())
    s.quit
    print '[DOORBIRD] | [MAIL]: Verschickt!'
# ---------------------------------------------------------------------------
def cmd_holeLastPic(urlDoorBird=lastPicPathHost):
   print "\n[DOORBIRD] Hole aktuelle Aufnahme von Doorbird..."
   req = urllib2.Request(urlDoorBird) #, None, headers)
   req.add_header("Authorization", "Basic %s" % token)
   pic  = urllib2.urlopen(req).read()
   f = open(picFileName,'w')
   f.write(pic)
   f.close()
   mv_cmd = 'mv '+picFileName+' '+picFilePath
   os.system(mv_cmd)
# ---------------------------------------------------------------------------
def cmd_archivePic():
   chown_cmd ='chown pi:www-data '+PICFILE
   os.system(chown_cmd)
   chmod_cmd = 'chmod 0755 '+PICFILE
   os.system(chmod_cmd)
   print  "[DOORBIRD] Datei wird gesichert"
   # check ob Hash von aktueller 'doorbird_last_pic.jpg' bereits gesichert wurde
   archivemessage = '\n Zeitstempel: '+ time.strftime('%Y%m%e_%H%M%S') 
   lastarchived_cmd =  "ls -t /home/pi/doorbird/archive/*.jpg|head -n1"
   archivepath_cmd = picFilePath+"/archive"
   if os.listdir(archivepath_cmd) != []:
      lastarchived_name = os.popen(lastarchived_cmd).read().split("\n")
      # print "Name= "+lastarchived_name[0]
      # print "Hash ="+md5(lastarchived_name[0])
      if md5(lastarchived_name[0]) == md5(PICFILE):
         print "[DOORBIRD] Datei wurde bereits gesichert - keine Benachrichtigung!" 
      else:
        cmd_sendmailPic()
        print "[DOORBIRD] Datei "+PICFILE+" wird gesichert"
        backup_cmd = "cp "+PICFILE+" "+archivepath_cmd+"/"+time.strftime('%Y%m%e_%H%M%S')+"_"+picFileName
        # print  "[DOORBIRD] " +backup_cmd 
        os.system(backup_cmd)
   else:
      cmd_sendmailPic()
      print "[DOORBIRD] Datei "+PICFILE+" wird gesichert"
      backup_cmd = "cp "+PICFILE+" "+archivepath_cmd+"/"+time.strftime('%Y%m%e_%H%M%S')+"_"+picFileName
      # print  "[DOORBIRD] " +backup_cmd
      os.system(backup_cmd) 
# ---------------------------------------------------------------------------
def md5(fname):
    hash = hashlib.md5()
    with open(fname, "rb") as f:
        for chunk in iter(lambda: f.read(4096), b""):
            hash.update(chunk)
    f.close()
    return hash.hexdigest()
# ---------------------------------------------------------------------------
def main():
  PICFILE=picFilePath+picFileName
  print "[DOORBIRD] Check ob ", PICFILE ," vorhanden...\n"
  if cmd_exists(PICFILE):
      cmd_holeLastPic()
      # cmd_sendmailPic()
      cmd_archivePic()
  else:
      print "[DOORBIRD] Keine Datei ", PICFILE ," vorhanden...\n"
      cmd_holeLastPic()
  print "[DOORBIRD] Checksumme ", PICFILE ," : ", md5(PICFILE),"\n"
# ---------------------------------------------------------------------------
def init():
#   os.system('clear')
   if not cmd_exists(picFilePath):
      os.system('sudo -u pi mkdir -p ' +picFilePath)
   if not cmd_exists(picFilePath+'\archive'):
      os.system('sudo -u pi mkdir -p '+picFilePath+'archive')
      os.system('sudo chown -R pi:www-data '+picFilePath)
# ---------------------------------------------------------------------------
if __name__ == '__main__':
   init()
   main()
   exit()
# ------------------------------------- EOF ---------------------------------
