#!/bin/bash
# -----------------------------------------------------------------------
# Smart-Home mit Raspberry Pi-Projekte
# E.F.Engelhardt, Franzis Verlag, 2016
# -----------------------------------------------------------------------
# Skript: udprute2.sh
#  Holt den Wert ueber UDP von Rutenbeck-Steckdose
#
BASENAME="$(basename $0)"
ARG=$1
UTPIP4RUTE1="192.168.123.204"
UDPPORT="30303"
# -----------------------------------------------------------------------
case $ARG in
  E)
    CMD="E ?"
    ;;
  U)
    CMD="U ?"
    ;;
  T)
    CMD="T ?"
    ;;
  I)
    CMD="I ?"
    ;;
  *)
    CMD="E ?"
    ;;
esac
if test -d /var/tmp/rute.txt; then rm /var/tmp/rute.txt; fi
test=`echo $CMD | nc -q 2 -u $UTPIP4RUTE1 $UDPPORT`
echo $test > /var/tmp/rute.txt
test2=`less /var/tmp/rute.txt | cut -d "=" -f2`
echo $test2
rm /var/tmp/rute.txt
# -----------------------------------------------------------------------
