#!/bin/bash
# WLAN-Lampe(n)-Schalten mit dem Raspberry Pi
# GPIO
GPIO_SW1=22 # pin 15 - wiring 3
GPIO_SW2=23 # pin 16 - wiring pi 4
GPIO_SW3=24 # pin 18 - wiring pi 5
GPIO_SW4=25 # pin 22 - wiring pi 6
GPIO_SW5=17 # pin 11 - wiring 0
# init
gpio -g mode $GPIO_SW1 in;
gpio -g mode $GPIO_SW2 in;
gpio -g mode $GPIO_SW3 in;
gpio -g mode $GPIO_SW4 in;
gpio -g mode $GPIO_SW5 in;

while true; do
# wird ein "Schliesser" als Schalter verwendet, dann Parameter 0
# bei einem "Oeffner als Parameter hier 1
        if [ $(gpio -g read $GPIO_SW1) -eq  0 ]; then
                echo "GPIO_SW1" $GPIO_SW1 "gedrueckt"
        elif [ $(gpio -g read $GPIO_SW2) -eq  0 ]; then
                echo "GPIO_SW2" $GPIO_SW2 "gedrueckt"
        elif [ $(gpio -g read $GPIO_SW3) -eq  0 ]; then
                echo "GPIO_SW3" $GPIO_SW3 "gedrueckt"
        elif [ $(gpio -g read $GPIO_SW4) -eq  0 ]; then
                echo "GPIO_SW4" $GPIO_SW4 "gedrueckt"
        elif [ $(gpio -g read $GPIO_SW5) -eq  0 ]; then
                echo "GPIO_SW5" $GPIO_SW5 "gedrueckt"
        fi
sleep 0.1
done
exit 0
#---------------------- EOF --------------------------------

