#!/usr/bin/python
import time
import sys
import socket
#fsockopen("udp://$host", 50000 ?
UDP_IP_LIGHTSERVER='192.168.123.100'
UDP_PORT = 50000
wlan_led_color=1	# unterschiedliche Lampentypen, 1 color, 0 ist Modell white

#UDP_CMD = "Hello, World!"
def update_birne(UDP_CMD):
	print "UDP-IP-Lampencontroller:", UDP_IP_LIGHTSERVER
	print "UDP-Port:", UDP_PORT
	print "Lampenbefehl:", UDP_CMD
	try:
		sock = socket.socket(socket.AF_INET, # Internet
                     socket.SOCK_DGRAM) # UDP
	except socket.error:
		print 'Failed to create socket'
		sys.exit()

	#sock.sendto(UDP_CMD, (UDP_IP_LIGHTSERVER, UDP_PORT))
	#sock.close()
	
    try :
        #Set the whole string
        sock.sendto(UDP_CMD, (UDP_IP_LIGHTSERVER, UDP_PORT))
        # receive data from client (data, addr)
        d = sock.recvfrom(1024)
        reply = d[0]
        addr = d[1]
        print 'Server reply : ' + reply
		sock.close()
     
    except socket.error, UDP_CMD:
        print 'Error Code : ' + str(UDP_CMD[0]) + ' Message ' + UDP_CMD[1]
		sock.close()
        sys.exit()

	

# sw = aus, an, heller, dunkler
def switch_wlan_birne(wlan_led_color, sw): # id
	if int(wlan_led_color) == 1):
		if sw == 'aus':
			#echo "[<a href='$_SERVER[PHP_SELF]?a=21&b=00&c=55'>aus</a>] "
			light_cmd='a=21&b=00&c=55'
			print "Es wird Lampe <", id , "> ausgeschaltet."
		elif sw == 'an':
			# echo "[<a href='$_SERVER[PHP_SELF]?a=22&b=00&c=55'>an</a>] "
			light_cmd='a=22&b=00&c=55'
			print "Es wird Lampe <", id , "> eingeschaltet."
		elif sw == 'heller':
			# echo "[<a href='$_SERVER[PHP_SELF]?a=23&b=00&c=55'>heller</a>] "
			light_cmd='a=23&b=00&c=55'
			print "Es wird Lampe <", id , "> heller eingestellt."
		elif sw == 'dunkler':
			# echo "[<a href='$_SERVER[PHP_SELF]?a=24&b=00&c=55'>dunkler</a>] "
			light_cmd='a=24&b=00&c=55'
			print "Es wird Lampe <", id , "> dunkler eingestellt."
	elif int(wlan_led_color) == 0):
		if sw == 'aus':
			# echo "[<a href='$_SERVER[PHP_SELF]?a=39&b=00&c=55'>alle aus</a>] "
			light_cmd='a=39&b=00&c=55'
			print "Es wird Lampe <", id , "> ausgeschaltet."
		elif sw == 'an':
			# echo "[<a href='$_SERVER[PHP_SELF]?a=35&b=00&c=55'>alle an</a>] "
			light_cmd='a=35&b=00&c=55'
			print "Es wird Lampe <", id , "> eingeschaltet."
		elif sw == 'heller':
			# echo "[<a href='$_SERVER[PHP_SELF]?a=3c&b=00&c=55'>heller</a>] "
			light_cmd='a=3c&b=00&c=55'
			print "Es wird Lampe <", id , "> heller eingestellt."
		elif sw == 'dunkler':
			# echo "[<a href='$_SERVER[PHP_SELF]?a=34&b=00&c=55'>dunkler</a>] "
			light_cmd='a=34&b=00&c=55'
			print "Es wird Lampe <", id , "> dunkler eingestellt."
	elif int(wlan_led_color) > 1) && int(wlan_led_color) < 0):
		print "Es ist keine Lampe angeschlossen."
		light_cmd=''
	UDP_CMD=light_cmd
def set_birne_farbe(wlan_led_color, id, light_color):
    # Aufruf set_birne_farbe(1,"blau")
    # Farben: off, tuerkis, blau, rot, gruen, orange, pink, rosa
	# Color selection: 20[xx]55 (where [xx] is a value between 0 and 255, converted to hex)
	if int(wlan_led_color) == 1):
		if light_color == "off":
			light.on = False
		else:
			if light.on == False:
			light.on = True
		if light_color == "tuerkis":
			light_cmd='a=20&b=55&c=55'
		if light_color == "blau":
			light_cmd='a=20&b=11&c=55'
		if light_color == "gruen":
			light_cmd='a=20&b=66&c=55'
		if light_color == "orange":
			light_cmd='a=20&b=99&c=55'
		if light_color == "rot":
			light_cmd='a=20&b=aa&c=55'
		if light_color == "pink":
			light_cmd='a=20&b=cc&c=55'
		if light_color == "rosa":
			light_cmd='a=20&b=ee&c=55'
	elif int(wlan_led_color) != 1):
		print "Es ist keine farbtaugliche Lampe angeschlossen."

def set_birne_programm(wlan_led_color, id, programm_id):
# programm_id = sw
# fw = vorwrts
# bw = rckwrts
# fa= schneller
# sl = langsamer
	if int(wlan_led_color) == 1):
		if sw == 'fw': # forward
			# echo "[<a href='$_SERVER[PHP_SELF]?a=27&b=00&c=55'>nchstes</a>] "
			light_cmd='a=27&b=00&c=55'
			print "Es wird auf das naechste Programm gewechselt<", programm_id , ">."
		elif sw == 'bw': # backward
			# echo "[<a href='$_SERVER[PHP_SELF]?a=28&b=00&c=55'>vorheriges</a>] "
			light_cmd='a=28&b=00&c=55'
			print "Es wird auf das vorherige Programm gewechselt<", programm_id , ">."
		elif sw == 'fa': # faster
			# echo "[<a href='$_SERVER[PHP_SELF]?a=25&b=00&c=55'>schneller</a>] "
			light_cmd='a=25&b=00&c=55'
			print "Es wird ein schnelleres Licht-Programm verwendet <", programm_id , ">."
		elif sw == 'sl': # slowly
			# echo "[<a href='$_SERVER[PHP_SELF]?a=26&b=00&c=55'>langsamer</a>] "
			light_cmd='a=26&b=00&c=55'
			print "Es wird ein langsameres Licht-Programm verwendet <", programm_id , ">."
		elif:
			print "Kein gueltiges Programm zur Lichtsteuerung."
		elif int(wlan_led_color) != 1):
		print "Es ist keine farbtaugliche Lampe angeschlossen."

		

def set_birne_gruppe(wlan_led_color, sw, group_id):
	if int(wlan_led_color) == 1):
		if int(group_id) == 1):
			if sw == 'aus':
				light_cmd='a=3b&b=00&c=55'
				print "Es wird Gruppe <", group_id , "> ausgeschaltet."
			elif sw == 'an':
				light_cmd='a=38&b=00&c=55'
				print "Es wird Gruppe <", group_id , "> eingeschaltet."
			elif int(group_id) == 2):
				light_cmd='a=33&b=00&c=55'
				print "Es wird Gruppe <", group_id , "> ausgeschaltet."
			elif sw == 'an':
				light_cmd='a=3d&b=00&c=55'
				print "Es wird Gruppe <", group_id , "> eingeschaltet."
			elif int(group_id) == 3):
				light_cmd='a=3a&b=00&c=55'
				print "Es wird Gruppe <", group_id , "> ausgeschaltet."
			elif sw == 'an':
				light_cmd='a=37&b=00&c=55'
				print "Es wird Gruppe <", group_id , "> eingeschaltet."
			elif int(group_id) == 4):
				light_cmd='a=36&b=00&c=55'
				print "Es wird Gruppe <", group_id , "> ausgeschaltet."
			elif sw == 'an':
				light_cmd='a=32&b=00&c=55'
				print "Es wird Gruppe <", group_id , "> eingeschaltet."
	elif int(wlan_led_color) != 1):
		print "Es ist keine farbtaugliche Lampe angeschlossen."

def set_birne_colortemp(wlan_led_color, id, light_color):
#light_color 1 = wrmer, 0 = klter
if int(wlan_led_color) == 1):
		if int(light_color) == 1):
			# echo "[<a href='$_SERVER[PHP_SELF]?a=3e&b=11&c=55'>wrmer</a>] ";		
			light_cmd='a=3e&b=11&c=55'
		elif int(light_color) == 0:
			# echo "[<a href='$_SERVER[PHP_SELF]?a=3f&b=55&c=55'>klter</a>] ";
			light_cmd='a=3f&b=55&c=55'
	elif int(wlan_led_color) != 1):
		print "Es ist keine farbtaugliche Lampe angeschlossen."

#---------------------------------------------------------------------------------
echo "<p>";
echo "<form method='get' action='$_SERVER[PHP_SELF]'>";
echo "oder 3 HEX-Werte: ";
echo "<input type='text' name='a' size='2' value='$_GET[a]'>";
echo "<input type='text' name='b' size='2' value='$_GET[b]'>";
echo "<input type='text' name='c' size='2' value='$_GET[c]'>";
echo "<input type='submit'>";
echo "</form>";
echo "</p>";